MP4(3)

NAME

MP4GetTrackType - Get the track type

SYNTAX

#include <mp4.h>

const char* MP4GetTrackType(
    MP4FileHandle hFile,
    MP4TrackId trackId
)

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

trackId
    Specifies the track for which the type is desired.

RETURN VALUES

Upon success, a string that indicates the track type. Upon an error, NULL.

DESCRIPTION

MP4GetTrackType gets the type of the track with the specified track id.

Note: the library does not provide a MP4SetTrackType function, the track type needs to be specified when the track is created, e.g. MP4AddSystemsTrack(MP4_OCI_TRACK_TYPE).

Known track types are:

    MP4_OD_TRACK_TYPE    "odsm"
    MP4_SCENE_TRACK_TYPE    "sdsm"
    MP4_AUDIO_TRACK_TYPE    "soun"
    MP4_VIDEO_TRACK_TYPE    "vide"
    MP4_HINT_TRACK_TYPE    "hint"
    MP4_CLOCK_TRACK_TYPE    "crsm"
    MP4_MPEG7_CLOCK_TYPE    "m7sm"
    MP4_OCI_TRACK_TYPE    "ocsm"
    MP4_IPMP_TRACK_TYPE    "ipsm"
    MP4_MPEGJ_TRACK_TYPE    "mjsm"

SEE ALSO

MP4(3)